import { UserConfig } from 'vite';

interface Options {
    port?: number;
    script?: string;
    dir?: string;
    headless?: boolean;
    path?: string;
    html?: string;
    watch?: boolean;
    hostname?: string;
}

declare function run({ version, name }: {
    version: any;
    name: any;
}): Promise<void>;
declare function handler(options: Options): Promise<void>;

declare function startServer(options: Options): Promise<void>;

declare function createVueTestPlugin(options?: Options): UserConfig;

declare function patchBabelParser(): Promise<void>;

export { createVueTestPlugin, handler, patchBabelParser, run, startServer };
